Fetch Single FX Rate

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Steps

  1. Authenticate to retrieve the bearer token.
  2. Query for a single rate.

📘

Live endpoint

https://api.tingg.africa/api/v3/forex/payout/conversion/fetch?baseCurrencyCode=USD&exchangeCurrencyCode=KES

Request

Headers

Authorization is required to access this API

KeyValue TypeDescription
AuthorizationStringBearer token generated for your user

Request Parameters

The API will accept the below query parameters

KeyValue TypeRequiredDescription
baseCurrencyCodeStringNo3 letter currency code indicating the base currency for the exchange rate
exchangeCurrencyCodeStringYes3 letter currency code indicating the exchange currency for the exchange rate

Response

Response Parameters

ParameterTypeRequiredDescription
messageIntegerYesResponse description
successbooleanYesSuccess status of the request
statusCodeIntegerYesStatus of the response.
dataObjectYesContains the rates details
statusDescriptionStringNoNarration on status code.
baseCurrencyCodeStringNoThe currency to convert from. Null when none was found.
exchangeCurrencyCodeStringNoThe currency to convert to. Null when none was found.
buyRateFloatNoThe currency buy rate. Null when none was found.
sellRateFloatNoThe currency sell rate. Null when none was found.
conversionRateIDStringNoThe primary key for the rate

Sample Response

{
    "message": "Conversion rate found.",
    "success": true,
    "statusCode": 508,
    "data": {
        "statusDescription": "Conversion rate found.",
        "baseCurrencyCode": "USD",
        "exchangeCurrencyCode": "KES",
        "buyRate": 158.1,
        "sellRate": 158.1,
        "conversionRateID": "650"
    }
}
Query Params
string
required
Defaults to USD
string
required
Defaults to KES
Headers
string
required
Defaults to Bearer token
Responses

Language
LoadingLoading…
Response
Choose an example:
application/json